import request from '@/utils/request'

// 查询自治区数据列表
export function listTOTEXPAREA(query) {
  return request({
    url: '/area/TOTEXPAREA/list',
    method: 'get',
    params: query
  })
}

// 查询自治区数据所有列表
export function listAllTOTEXPAREA(query) {
  return request({
    url: '/area/TOTEXPAREA/listAll',
    method: 'get',
    params: query
  })
}

// 查询自治区数据详细
export function getTOTEXPAREA(id) {
  return request({
    url: '/area/TOTEXPAREA/getInfo/' + id,
    method: 'get'
  })
}

// 新增自治区数据
export function addTOTEXPAREA(data) {
  return request({
    url: '/area/TOTEXPAREA/add',
    method: 'post',
    data: data
  })
}

// 修改自治区数据
export function updateTOTEXPAREA(data) {
  return request({
    url: '/area/TOTEXPAREA/edit',
    method: 'post',
    data: data
  })
}

// 删除自治区数据
export function delTOTEXPAREA(id) {
  return request({
    url: '/area/TOTEXPAREA/remove/' + id,
    method: 'get'
  })
}
